# Uses of Class
java.security.cert.CertificateFactory

Packages that use CertificateFactory
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of CertificateFactory in java.security.cert

Methods in java.security.cert that return CertificateFactory
Modifier and Type
Method
Description
`static CertificateFactory`
CertificateFactory.`getInstance​(String type)`
Returns a certificate factory object that implements the specified certificate type.
`static CertificateFactory`
CertificateFactory.`getInstance​(String type, String provider)`
Returns a certificate factory object for the specified certificate type.
`static CertificateFactory`
CertificateFactory.`getInstance​(String type, Provider provider)`
Returns a certificate factory object for the specified certificate type.